/* eslint-disable max-len */
import { styled } from "@nuskin/foundation-theme";
import { TypographyProps, Variants } from "./types";

const getStyleSizes = (style: Variants) => {
    switch (style) {
        case "h1":
            return "font-size: 36px; line-height: 44px;";
        case "h2":
            return "font-size: 26px; line-height: 32px";
        case "h3":
            return "font-size: 22px; line-height: 28px";
        case "h4":
            return "font-size: 18px; line-height: 26px";
        case "h5":
            return "font-size: 16px; line-height: 22px";
        case "h6":
            return "font-size: 14px; line-height: 20px";
        case "sub-h-l":
            return "font-size: 18px; line-height: 22px; text-transform: uppercase; letter-spacing: 0.05em;";
        case "sub-h-m":
            return "font-size: 16px; line-height: 20px; text-transform: uppercase; letter-spacing: 0.05em;";
        case "sub-h-s":
            return "font-size: 14px; line-height: 18px; text-transform: uppercase; letter-spacing: 0.05em;";
        case "p-l":
            return "font-size: 18px; line-height: 24px";
        case "p-m":
            return "font-size: 16px; line-height: 22px";
        case "p-s":
            return "font-size: 14px; line-height: 20px";
        case "p-xs":
            return "font-size: 11px; line-height: 16px";
    }
};

export const StyledTypography = styled.div<TypographyProps>`
  @import url("https://fonts.googleapis.com/css2?family=Inter");

  font-family: "Inter";
  color: ${({ color = "primary", theme }) => theme?.palette?.[color].main};
  font-weight: ${({ weight }) => (weight === "normal" ? "400" : "600")};
  font-style: ${({ fontStyle }) => fontStyle};
  ${({ variant = "h1" }) => getStyleSizes(variant)};
  text-decoration-line: ${({ decoration }) => decoration};
`;
