import React, { FC, PropsWithChildren } from "react";
import { TypographyProps } from "./types";
import { StyledTypography } from "./Typography.styled";

export const Typography: FC<PropsWithChildren<TypographyProps>> = ({
    children,
    fontStyle = "normal",
    weight = "normal",
    variant = "p-l",
    decoration = "none",
    color = "primary",
}) => {
    return (
        <StyledTypography
            fontStyle={fontStyle}
            weight={weight}
            variant={variant}
            decoration={decoration}
            color={color}
        >
            {children}
        </StyledTypography>
    );
};

